<template>
  <div class="container m-auto my-12 grid grid-cols-12 items-start space-x-6">
    <div class="col-span-9 bg-white border border-grey-default rounded-md grid grid-cols-12 shadow-sm">
      <div class="col-span-9 border-r border-grey-default p-6">
        <t-h2 weight="bold">Floor Overview</t-h2>
        <div class="grid grid-cols-12 gap-4 h-full">
          <div class="col-span-1 flex items-center">
            <floors></floors>
          </div>
          <div class="col-span-11">
            <areas></areas>
          </div>
        </div>
      </div>
      <div class="col-span-3 p-6 px-8">
        <population></population>
      </div>
    </div>
    <div class="col-span-3 space-y-4">
      <timer></timer>
      <peak></peak>
      <temperature></temperature>
    </div>
  </div>
</template>

<script>
import { defineComponent } from '@nuxtjs/composition-api'
import TH2 from '~/components/shared/typography/H2'
import Floors from '~/components/building/Floors.vue'
import Areas from '~/components/building/Areas.vue'
import Population from '~/components/building/Population.vue'
import Timer from '~/components/building/Timer.vue'
import Peak from '~/components/building/Peak.vue'
import Temperature from '~/components/building/Temperature.vue'

export default defineComponent({
  components: { TH2, Floors, Areas, Population, Timer, Peak, Temperature },
})
</script>
